## libraw 0.9.1

=== Makefile ===
all: library all_samples 

CFLAGS=-O4  -I. -w

# OpenMP support
#CFLAGS=-O4  -I. -w -fopenmp

# LCMS support
#LCMS_DEF=-DUSE_LCMS -I/usr/local/include
#LCMS_LIB=-L/usr/local/lib -llcms


DCRAW_LIB_OBJECTS=object/dcraw_common.o object/libraw_cxx.o object/libraw_c_api.o object/dcraw_fileio.o
DCRAW_LIB_MT_OBJECTS=object/dcraw_common_mt.o object/libraw_cxx_mt.o object/libraw_c_api_mt.o object/dcraw_fileio_mt.o

library: lib/libraw.a lib/libraw_r.a

all_samples: bin/raw-identify bin/simple_dcraw  bin/dcraw_emu bin/dcraw_half bin/half_mt bin/mem_image bin/unprocessed_raw bin/4channels

install: library
	@if [ -d /usr/local/include ] ; then cp -R libraw /usr/local/include/ ; else echo 'no /usr/local/include' ; fi
	@if [ -d /usr/local/lib ] ; then cp lib/libraw.a lib/libraw_r.a /usr/local/lib/ ; else echo 'no /usr/local/lib' ; fi

install-binaries: all_samples
	@if [ -d /usr/local/bin ] ; then cp bin/[a-z]* /usr/local/bin/ ; else echo 'no /usr/local/bin' ; fi


#binaries

bin/raw-identify: lib/libraw.a samples/raw-identify.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/raw-identify samples/raw-identify.cpp -L./lib -lraw  -lm ${LCMS_LIB}

bin/unprocessed_raw: lib/libraw.a samples/unprocessed_raw.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/unprocessed_raw samples/unprocessed_raw.cpp -L./lib -lraw  -lm  ${LCMS_LIB}

bin/4channels: lib/libraw.a samples/4channels.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/4channels samples/4channels.cpp -L./lib -lraw  -lm  ${LCMS_LIB}

bin/simple_dcraw: lib/libraw.a samples/simple_dcraw.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF}  ${CFLAGS} -o bin/simple_dcraw samples/simple_dcraw.cpp -L./lib -lraw  -lm  ${LCMS_LIB}

bin/mem_image: lib/libraw.a samples/mem_image.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/mem_image samples/mem_image.cpp -L./lib -lraw  -lm  ${LCMS_LIB}

bin/dcraw_half: lib/libraw.a object/dcraw_half.o
	gcc -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/dcraw_half object/dcraw_half.o -L./lib -lraw  -lm -lstdc++  ${LCMS_LIB}

bin/half_mt: lib/libraw_r.a object/half_mt.o
	gcc ${LCMS_DEF}  -pthread ${CFLAGS} -o bin/half_mt object/half_mt.o -L./lib -lraw_r  -lm -lstdc++  ${LCMS_LIB}

bin/dcraw_emu: lib/libraw.a samples/dcraw_emu.cpp
	g++ -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o bin/dcraw_emu samples/dcraw_emu.cpp -L./lib -lraw  -lm  ${LCMS_LIB}

#objects

object/dcraw_common.o: internal/dcraw_common.cpp
	g++ -c -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o object/dcraw_common.o internal/dcraw_common.cpp

object/dcraw_fileio.o: internal/dcraw_fileio.cpp
	g++ -c -DLIBRAW_NOTHREADS ${CFLAGS} ${LCMS_DEF} -o object/dcraw_fileio.o internal/dcraw_fileio.cpp

object/libraw_cxx.o: src/libraw_cxx.cpp
	g++ -c -DLIBRAW_NOTHREADS ${LCMS_DEF} ${CFLAGS} -o object/libraw_cxx.o src/libraw_cxx.cpp

object/libraw_c_api.o: src/libraw_c_api.cpp
	g++ -c -DLIBRAW_NOTHREADS  ${LCMS_DEF} ${CFLAGS} -o object/libraw_c_api.o src/libraw_c_api.cpp

object/dcraw_half.o: samples/dcraw_half.c
	gcc -c -DLIBRAW_NOTHREADS  ${LCMS_DEF} ${CFLAGS} -o object/dcraw_half.o samples/dcraw_half.c

object/half_mt.o: samples/half_mt.c
	gcc -c -pthread ${LCMS_DEF}  ${CFLAGS} -o object/half_mt.o samples/half_mt.c


lib/libraw.a: ${DCRAW_LIB_OBJECTS}
	rm -f lib/libraw.a
	ar crv lib/libraw.a ${DCRAW_LIB_OBJECTS}
	ranlib lib/libraw.a

lib/libraw_r.a: ${DCRAW_LIB_MT_OBJECTS}
	rm -f lib/libraw_r.a
	ar crv lib/libraw_r.a ${DCRAW_LIB_MT_OBJECTS}
	ranlib lib/libraw_r.a

object/dcraw_common_mt.o: internal/dcraw_common.cpp
	g++ -c -pthread ${LCMS_DEF}  ${CFLAGS} -o object/dcraw_common_mt.o internal/dcraw_common.cpp

object/dcraw_fileio_mt.o: internal/dcraw_fileio.cpp
	g++ -c -pthread ${LCMS_DEF} ${CFLAGS} -o object/dcraw_fileio_mt.o internal/dcraw_fileio.cpp

object/libraw_cxx_mt.o: src/libraw_cxx.cpp
	g++ -c ${LCMS_DEF}  -pthread ${CFLAGS} -o object/libraw_cxx_mt.o src/libraw_cxx.cpp

object/libraw_c_api_mt.o: src/libraw_c_api.cpp
	g++ -c ${LCMS_DEF}  -pthread ${CFLAGS} -o object/libraw_c_api_mt.o src/libraw_c_api.cpp

clean:
	rm -fr bin/*.dSYM
	rm -f *.o *~ src/*~ samples/*~ internal/*~ libraw/*~ lib/lib*.a bin/[4a-z]* object/*o dcraw/*~ doc/*~ bin/*~

=== debian/changelog ===
libraw (0.9.1-1+deb6u1) squeeze-lts; urgency=high

  * debian/patches/: patchset updated
    - 0001-Fix_CVE-2015-3885.patch added
      | Integer overflow in the ljpeg_start function
      | in dcraw 7.00 and earlier allows remote attackers
      | to cause a denial of service (crash) via a
      | crafted image, which triggers a buffer overflow,
      | related to the len variable.

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 01 Jun 2015 21:19:44 +0200

libraw (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #578830).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Jun 2010 10:09:37 +0200

=== debian/control ===
Source: libraw
Section: libs
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://www.libraw.org/
Vcs-Git: git://git.debian.org/collab-maint/libraw.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libraw.git;a=summary

Package: libraw-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: raw image decoder library (development files)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains a static library and header files.

Package: libraw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: raw image decoder library (documentation)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

# Avoid installing files under /usr/local
override_dh_auto_install:

=== debian/watch ===
version=3
http://www.libraw.org/data/LibRaw-([0-9\.]*)\.tar\.gz

## libraw 0.9.1-maemo1

=== debian/changelog ===
libraw (0.9.1-maemo1) fremantle; urgency=low

  * Initial release

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 27 Jul 2010 14:15:09 +0200

=== debian/control ===
Source: libraw
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1000
Homepage: http://mrawviewer.garage.maemo.org
Priority: extra
Maintainer: Luca Donaggio <donaggio@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: libs

Package: libraw-dev
Section: libdevel
Architecture: any
Replaces: libraw-lite-dev
Depends: libraw
Description: Header files for LibRaw

Package: libraw
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LibRaw is a library for reading RAW files obtained from digital photo cameras (CRW/CR2, NEF, RAF, DNG, and others).
 LibRaw is based on the source codes of the dcraw utility, where part of drawbacks have already been eliminated and part will be fixed in future.
 The users of the library are provided with API to be built into their software programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O4
endif

# shared library versions, option 1
version=0.9.1
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) library

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(CURDIR)/debian/libraw/usr/lib
	$(MAKE) DESTDIR=$(CURDIR)/debian/libraw install
	mkdir -p $(CURDIR)/debian/libraw-dev/usr/include
	$(MAKE) DESTDIR=$(CURDIR)/debian/libraw-dev install-headers

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog.rus
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libraw 0.10.0-maemo1

=== Makefile ===
--- 
+++ 
@@ -17,12 +17,14 @@
 
 all_samples: bin/raw-identify bin/simple_dcraw  bin/dcraw_emu bin/dcraw_half bin/half_mt bin/mem_image bin/unprocessed_raw bin/4channels
 
+install-headers:
+	@if [ -d ${DESTDIR}/usr/include ] ; then cp -R libraw ${DESTDIR}/usr/include/ ; else echo "no ${DESTDIR}/usr/include" ; fi
+
 install: library
-	@if [ -d /usr/local/include ] ; then cp -R libraw /usr/local/include/ ; else echo 'no /usr/local/include' ; fi
-	@if [ -d /usr/local/lib ] ; then cp lib/libraw.a lib/libraw_r.a /usr/local/lib/ ; else echo 'no /usr/local/lib' ; fi
+	@if [ -d ${DESTDIR}/usr/lib ] ; then cp lib/libraw.a lib/libraw_r.a ${DESTDIR}/usr/lib/ ; else echo "no ${DESTDIR}/usr/lib" ; fi
 
 install-binaries: all_samples
-	@if [ -d /usr/local/bin ] ; then cp bin/[a-z]* /usr/local/bin/ ; else echo 'no /usr/local/bin' ; fi
+	@if [ -d ${DESTDIR}/usr/bin ] ; then cp bin/[a-z]* ${DESTDIR}/usr/bin/ ; else echo 'no ${DESTDIR}/usr/bin' ; fi
 
 
 #binaries

=== debian/changelog ===
libraw (0.10.0-maemo1) fremantle; urgency=low

  * Updated to latest upstream stable version

 -- Luca Donaggio <donaggio@gmail.com>  Thu, 06 Sep 2010 13:49:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Package: libraw-dev
 Section: libdevel
 Architecture: any
+Conflicts: libraw-lite-dev
 Replaces: libraw-lite-dev
 Depends: libraw
 Description: Header files for LibRaw

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 endif
 
 # shared library versions, option 1
-version=0.9.1
+version=0.10.0
 major=0
 # option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
 #version=`ls src/.libs/lib*.so.* | \

## libraw 0.12.3-maemo1

=== debian/changelog ===
libraw (0.12.3-maemo1) fremantle; urgency=low

  * Updated to latest upstream stable version 0.12.3

 -- Luca Donaggio <donaggio@gmail.com>  Mon, 24 Jan 2011 11:58:10 +0100

=== debian/control ===
Source: libraw
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1000
Homepage: http://mrawviewer.garage.maemo.org
Section: libs
Priority: optional
Maintainer: Luca Donaggio <donaggio@gmail.com>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5)

Package: libraw-dev
Section: libdevel
Architecture: any
Conflicts: libraw-lite-dev
Replaces: libraw-lite-dev
Depends: libraw
Description: Header files for LibRaw

Package: libraw
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LibRaw is a library for reading RAW files obtained from digital photo cameras (CRW/CR2, NEF, RAF, DNG, and others).
 LibRaw is based on the source codes of the dcraw utility, where part of drawbacks have already been eliminated and part will be fixed in future.
 The users of the library are provided with API to be built into their software programs.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 #export DH_VERBOSE=1
 
 
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
 CFLAGS = -Wall -g
@@ -21,7 +25,7 @@
 endif
 
 # shared library versions, option 1
-version=0.10.0
+version=0.12.3
 major=0
 # option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
 #version=`ls src/.libs/lib*.so.* | \
@@ -29,30 +33,35 @@
 #major=`ls src/.libs/lib*.so.* | \
 # awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
 
-configure: configure-stamp
-configure-stamp:
+config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-
-	touch configure-stamp
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 
 build: build-stamp
-build-stamp: configure-stamp 
+build-stamp:  config.status
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) library
+	$(MAKE)
 
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) distclean
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
+
 
 	dh_clean 
 
@@ -63,10 +72,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
-	mkdir -p $(CURDIR)/debian/libraw/usr/lib
-	$(MAKE) DESTDIR=$(CURDIR)/debian/libraw install
-	mkdir -p $(CURDIR)/debian/libraw-dev/usr/include
-	$(MAKE) DESTDIR=$(CURDIR)/debian/libraw-dev install-headers
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -76,10 +83,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs Changelog.rus
+	dh_installchangelogs Changelog.txt
 #	dh_installdocs
 #	dh_installexamples
-#	dh_install
+	dh_install --sourcedir=$(CURDIR)/debian/tmp
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -89,7 +96,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-#	dh_installman
+	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
@@ -104,4 +111,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install

## libraw 0.13.1

=== debian/changelog ===
libraw (0.13.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/patches/01_link_order.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 09 Feb 2011 14:08:24 +1100

libraw (0.13.0-0ubuntu3) natty; urgency=low

  * debian/control:
    - Make libraw-dev depend on liblcms1-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Feb 2011 14:57:41 +1100

libraw (0.13.0-0ubuntu2) natty; urgency=low

  * debian/control:
    - Add build-depends on cdbs, dh-autoreconf, pkg-config, liblcms1-dev
    - List dependencies one line per dependency
    - Use standards version 3.9.1
    - Set maintainer to Ubuntu Desktop Team
  * debian/rules:
    - Use CDBS
    - Use autoreconf.mk

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Feb 2011 11:20:36 +1100

libraw (0.13.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/libraw-dev.install:
  * debian/libraw-doc.install:
    - Make new .install files
    - Install pkg-config files
  * debian/rules:
    - Now uses autotools, don't need to worry about installing in /usr/local

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Feb 2011 10:20:15 +1100

=== debian/control ===
Source: libraw
Section: libs
Priority: optional
XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs,
               dh-autoreconf,
               pkg-config,
               liblcms1-dev
Standards-Version: 3.9.1
Homepage: http://www.libraw.org/

Package: libraw-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liblcms1-dev
Description: raw image decoder library (development files)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains a static library and header files.

Package: libraw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: raw image decoder library (documentation)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains documentation files.

## libraw 0.13.8

=== debian/changelog ===
libraw (0.13.8-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/control:
    - Add Debian Shotwell Maintainers to Maintainers.
    - Move Devid to Uploaders.
    - Add autotools-dev to Build-Depends.
    - Add libraw2 package, who provides the shared library.
    - Add libraw2-bin package, who provides some tools to
      manipulate RAW files.
    - Bump Standards-Version to 3.9.2, no changes required.
  * debian/copyright:
    - Update copyright information.
  * debian/rules:
    - Build with autotools_dev to regenerate config.{sub,guess}.
    - Manually set prefix to install shared library correctly.
  * debian/watch:
    - Upstream disabled listing support, watch file is no-op now.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 22 Aug 2011 20:45:22 +0200

libraw (0.13.1-2) unstable; urgency=low

  * Set myself as maintainer (Closes: #613870).
  * debian/control: add Timo Witte to Uploaders field.
  * debian/install: install *.pc files in /usr/lib/pkgconfig (Closes: #613777).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 04 Mar 2011 20:48:20 +0100

libraw (0.13.1-1) unstable; urgency=low

  * New upstream release (Closes: #607139).
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 08 Feb 2011 22:53:51 +0100

=== debian/control ===
Source: libraw
Section: libs
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>, Timo Witte <timo.witte@googlemail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.9.2
Homepage: http://www.libraw.org/

Package: libraw2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: raw image decoder library
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the shared library.

Package: libraw-bin
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: raw image decoder library (tools)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains some tools to manipulate RAW files.

Package: libraw-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libraw2 (= ${binary:Version})
Description: raw image decoder library (development files)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the static library and header files.

Package: libraw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: raw image decoder library (documentation)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --bindir=/usr/lib/libraw

override_dh_makeshlibs:
	dh_makeshlibs -V 'libraw2 (>= 0.13.8)'

## libraw 0.14.0

=== debian/changelog ===
libraw (0.14.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/control:
    - Replace libraw2 with libraw5, SONAME changed.
    - libraw-dev depends on libraw5 accordingly.
    - Build-depend on pkg-config, libjasper-dev and liblcms2-dev.
  * debian/libraw5.install:
    - Renamed from libraw2.install to match new binary.
  * debian/libraw5.symbols.amd64:
    - Renamed from libraw2.symbols.amd64 to match new binary.
  * debian/rules:
    - Update dh_makeshlibs call to match new binary.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 24 Sep 2011 15:32:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>, Timo Witte <timo.witte@googlemail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, pkg-config, libjasper-dev, liblcms2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.libraw.org/
 
-Package: libraw2
+Package: libraw5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: raw image decoder library
@@ -29,7 +29,7 @@
 Package: libraw-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libraw2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libraw5 (= ${binary:Version})
 Description: raw image decoder library (development files)
  LibRaw is a library for reading RAW files obtained from digital photo cameras
  (CRW/CR2, NEF, RAF, DNG, and others).

## libraw 0.14.4

=== debian/changelog ===
libraw (0.14.4-0ubuntu2) precise; urgency=low

  * libraw-dev depends on liblcms2-dev (LP: #924587)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Feb 2012 15:33:23 +1100

libraw (0.14.4-0ubuntu1) precise; urgency=low

  * New upstream version (lp: #)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Dec 2011 18:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>, Timo Witte <timo.witte@googlemail.com>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, pkg-config, libjasper-dev, liblcms2-dev
 Standards-Version: 3.9.2
@@ -29,7 +30,7 @@
 Package: libraw-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libraw5 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libraw5 (= ${binary:Version}), liblcms2-dev
 Description: raw image decoder library (development files)
  LibRaw is a library for reading RAW files obtained from digital photo cameras
  (CRW/CR2, NEF, RAF, DNG, and others).

## libraw 0.14.6

=== debian/changelog ===
libraw (0.14.6-2+deb7u1) wheezy; urgency=high

  * debian/patches/: patchset updated
    - 0001-Fix_CVE-2015-3885.patch added (Closes: #786788)
      | Integer overflow in the ljpeg_start function
      | in dcraw 7.00 and earlier allows remote attackers
      | to cause a denial of service (crash) via a
      | crafted image, which triggers a buffer overflow,
      | related to the len variable.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 28 May 2015 14:15:10 +0200

libraw (0.14.6-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Add liblcms2-dev to libraw-dev Depends field.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 27 May 2012 12:16:53 +0200

libraw (0.14.6-1) unstable; urgency=low

  * Team upload to unstable.
  * New upstream release.
  * Multi-arch support.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Update copyright years.
    - Format now points to copyright-format site.
  * debian/libraw5.symbols.amd64:
    - Refresh symbols file.
  * debian/rules:
    - Bump minimum version in dh_makeshlibs to 0.14.6.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 May 2012 17:59:10 +0200

=== debian/control ===
Source: libraw
Section: libs
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, libjasper-dev, liblcms2-dev
Standards-Version: 3.9.3
Homepage: http://www.libraw.org/

Package: libraw5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: raw image decoder library
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the shared library.

Package: libraw-bin
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: raw image decoder library (tools)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains some tools to manipulate RAW files.

Package: libraw-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libraw5 (= ${binary:Version}), liblcms2-dev
Multi-Arch: same
Description: raw image decoder library (development files)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains the static library and header files.

Package: libraw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: raw image decoder library (documentation)
 LibRaw is a library for reading RAW files obtained from digital photo cameras
 (CRW/CR2, NEF, RAF, DNG, and others).
 .
 This package contains documentation files.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh_auto_configure -- --prefix=/usr --bindir=/usr/lib/libraw
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libraw2 (>= 0.13.8)'
+	dh_makeshlibs -V 'libraw5 (>= 0.14.6)'

=== debian/watch ===
# Upstream disabled listing support

## libraw 0.14.7

=== debian/changelog ===
libraw (0.14.7-0ubuntu1.13.04.2) raring-security; urgency=low

  * SECURITY UPDATE: denial of service via crafted photo files
    - debian/patches/CVE-2013-143x.patch: add more checks to
      internal/dcraw_common.cpp, src/libraw_datastream.cpp.
    - CVE-2013-1438
    - CVE-2013-1439

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2013 11:58:46 -0400

libraw (0.14.7-0ubuntu1.13.04.1) raring-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    broken full-color images
    - debian/patches/CVE-2013-2126.patch: fix error handling in
      src/libraw_cxx.cpp.
    - CVE-2013-2126

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Jun 2013 09:46:37 -0400

libraw (0.14.7-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 31 Jul 2012 11:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, libjasper-dev, liblcms2-dev
 Standards-Version: 3.9.3

## libraw 0.15.3

=== debian/changelog ===
libraw (0.15.3-1ubuntu1) saucy; urgency=low

  * SECURITY UPDATE: denial of service via crafted photo files
    - debian/patches/CVE-2013-143x.patch: add more checks to
      internal/dcraw_common.cpp, src/libraw_datastream.cpp.
    - CVE-2013-1438
    - CVE-2013-1439

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2013 11:53:14 -0400

libraw (0.15.3-1) unstable; urgency=low

  * Team upload to unstable.
  * New upstream release (Closes: #710353).
    - Fix error handling for broken full-color images - CVE-2013-2126.
    - Fix wrong data_maximum calcluation - CVE-2013-2127.
  * debian/patches/4channels_parameter.patch:
    - Fix segmentaition fault when 4channel is passed -s option without
       any parameter (Closes: #715577).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 10 Jul 2013 21:20:09 +0200

libraw (0.15.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches/typo.patch:
    - Fix typo in help output.
  * debian/control:
    - Build-depend on dh-autoreconf.
    - Build-depend on libjpeg8-dev | libjpeg-dev.
    - Replace libraw5 with libraw9, SONAME changed.
    - libraw-dev depends on libraw9 accordingly.
  * debian/copyright:
    - Update copyright years.
  * debian/libraw9.install:
    - Renamed from libraw5.install to match new binary.
  * debian/libraw9.symbols.amd64:
    - Renamed from libraw9.symbols.amd64 to match new binary.
  * debian/rules:
    - Build with autoreconf support.
    - Build with DNG support (Closes: #699356).
    - Pass "-Wl,-z,defs -Wl,--as-needed" to LDFLAGS.
    - Update dh_makeshlibs call to match new binary.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 25 May 2013 02:50:14 +0200

libraw (0.14.7-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/control:
    - Remove deprecated DM-Upload-Allowed field.
    - Bump Standards-Version to 3.9.4.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 20:47:35 +0200

libraw (0.14.7-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #682982).
  * debian/control:
    - Add DM-Upload-Allowed field.
  * debian/watch:
    - Use new redirector librawredir.debian.net.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 25 Aug 2012 13:35:59 +0200

## libraw 0.15.4

=== debian/changelog ===
libraw (0.15.4-1ubuntu0.3) trusty-security; urgency=medium

  * SECURITY UPDATE: Multiple memory management issues
    - debian/patches/CVE-2018-5807_5810.patch: out-of-bounds read and NULL
      pointer dereference in dcraw/dcraw.c and internal/dcraw_common.cpp
    - CVE-2018-5807
    - CVE-2018-5810
  * SECURITY UPDATE: Infinite loop
    - debian/patches/CVE-2018-5813.patch: infinite loop in dcraw/dcraw.c
      and internal/dcraw_common.cpp
    - CVE-2018-5813

 -- Alex Murray <alex.murray@canonical.com>  Wed, 05 Dec 2018 13:54:32 +1030

libraw (0.15.4-1ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in panasonic_load_raw
    - debian/patches/CVE-2017-16909.patch: add more bounds checking to
      dcraw/dcraw.c, internal/dcraw_common.cpp, libraw/libraw_const.h.
    - CVE-2017-16909
  * SECURITY UPDATE: invalid read in xtrans_interpolate
    - debian/patches/CVE-2017-16910.patch: add checks and proper
      initialization to dcraw/dcraw.c.
    - CVE-2017-16910
  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2018-580x.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp, src/libraw_cxx.cpp.
    - CVE-2018-5800
    - CVE-2018-5801
    - CVE-2018-5802
  * SECURITY UPDATE: image size and alloc issues
    - debian/patches/security_0.18.8_1.patch: add more checks to
      dcraw/dcraw.c, internal/dcraw_common.cpp, libraw/libraw_const.h,
      src/libraw_cxx.cpp.
    - No CVE number
  * SECURITY UPDATE: Secunia #81000 security issues
    - debian/patches/security_0.18.8_2.patch: add more checks to
      dcraw/dcraw.c, internal/dcraw_common.cpp.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Mar 2018 10:11:50 -0400

libraw (0.15.4-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: integer overflow in ljpeg_start
    - debian/patches/CVE-2015-3885.patch: use ushort in dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2015-3885
  * SECURITY UPDATE: index overflow and lack of initialization
    - debian/patches/CVE-2015-836x.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp, add proper initialization to
      src/libraw_cxx.cpp.
    - CVE-2015-8366
    - CVE-2015-8367
  * SECURITY UPDATE: memory corruption in parse_tiff_ifd
    - debian/patches/CVE-2017-688x.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-6886
    - CVE-2017-6887
  * SECURITY UPDATE: floating point exception in kodak_radc_load_raw
    - debian/patches/CVE-2017-13735.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-13735
  * SECURITY UPDATE: buffer overflow in xtrans_interpolate
    - debian/patches/CVE-2017-14265.patch: add checks to dcraw/dcraw.c.
    - CVE-2017-14265
  * SECURITY UPDATE: out of bounds read in kodak_65000_load_raw
    - debian/patches/CVE-2017-14608.patch: add checks to dcraw/dcraw.c,
      internal/dcraw_common.cpp.
    - CVE-2017-14608

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Nov 2017 14:15:58 -0500

libraw (0.15.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    - Fix for CVE-2013-1438 (Closes: #721231).
    - Fix for CVE-2013-1439 (Closes: #721338).
    - Fix segmentaition fault when unprocessed_raw is passed -s option
      wihout any parameter (Closes: #716423).
  * debian/patches/4channels_parameter.patch:
    - Dropped, applied upstream.
  * debian/patches/typo.patch:
    - Dropped, applied upstream.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 05 Oct 2013 17:53:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,21 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, libjasper-dev, liblcms2-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               autotools-dev,
+               dh-autoreconf,
+               pkg-config,
+               libjasper-dev,
+               liblcms2-dev,
+               libjpeg8-dev | libjpeg-dev
+Standards-Version: 3.9.4
 Homepage: http://www.libraw.org/
 
-Package: libraw5
+Package: libraw9
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Multi-Arch: same
 Description: raw image decoder library
  LibRaw is a library for reading RAW files obtained from digital photo cameras
@@ -22,7 +29,8 @@
 Package: libraw-bin
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Multi-Arch: foreign
 Description: raw image decoder library (tools)
  LibRaw is a library for reading RAW files obtained from digital photo cameras
@@ -33,7 +41,9 @@
 Package: libraw-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libraw5 (= ${binary:Version}), liblcms2-dev
+Depends: ${misc:Depends},
+         libraw9 (= ${binary:Version}),
+         liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)
  LibRaw is a library for reading RAW files obtained from digital photo cameras

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr	\
		--bindir=/usr/lib/libraw	\
		--enable-jpeg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libraw9 (>= 0.15.1-1)'

=== debian/watch ===
version=3
http://librawredir.debian.net \
http://www.libraw.org/data/LibRaw-(\S+)\.tar\.gz

## libraw 0.16.0

=== debian/changelog ===
libraw (0.16.0-9+deb8u3) jessie-security; urgency=high

  * debian/patches/: patchset updated
    - 0003-Fix_CVE-2017-6886.patch added
    | CVE-2017-6886, CVE-2017-6887:
    | Fix various buffer overflows that can be exploited
    | via crafted input files.
    Thanks to Emilio Pozuelo Monfort (pochu) for the patch.

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Aug 2017 13:21:35 +0200

libraw (0.16.0-9+deb8u2) stable; urgency=high

  * debian/patches/: patchset updated
    - 0002-Fix_CVE-2015-8366_CVE-2015-8367.patch added
      | CVE-2015-8366: Index overflow in smal_decode_segment
      | CVE-2015-8367: Memory objects are not intialized properly

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Sat, 12 Dec 2015 21:55:04 +0100

libraw (0.16.0-9+deb8u1) stable; urgency=high

  * debian/patches/: patchset updated
    - 0001-Fix_CVE-2015-3885.patch added
      | Integer overflow in the ljpeg_start function
      | in dcraw 7.00 and earlier allows remote attackers
      | to cause a denial of service (crash) via a
      | crafted image, which triggers a buffer overflow,
      | related to the len variable.

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 26 May 2015 18:09:20 +0200

libraw (0.16.0-9) unstable; urgency=medium

  * debian/control: strictly build-depends on libjpeg-dev.
    Thanks to Ondřej Surý (ondrej) for the patch. (Closes: #763482)
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 30 Sep 2014 17:47:16 +0200

libraw (0.16.0-8) unstable; urgency=medium

  * debian/watch: search path updated (Closes: #759650)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Fri, 29 Aug 2014 10:29:55 +0200

libraw (0.16.0-7) unstable; urgency=medium

  * debian/libraw10.symbols: updated for mips64/mips64el.
    Thanks to YunQiang Su for the patch. (Closes: #758530)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 28 Aug 2014 16:06:06 +0200

libraw (0.16.0-6) unstable; urgency=medium

  * debian/control: new uploader (Closes: #755414)
  * debian/control: VCS fields added
  * debian/libraw10.symbols: mips64/mips64el archs added.
    Thanks to YunQiang Su for the patch. (Closes: #754360)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 21 Jul 2014 15:10:41 +0200

libraw (0.16.0-5) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix autopkgtest: Add missing libraw-dev test dep, drop unnecessary
    @builddeps@, and add missing "set -e" so that the test actually fails
    properly. Also fix linking order to also work with binutils-gold.
    These fixes closes: #750985.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 10 Jun 2014 11:13:04 +0200

libraw (0.16.0-4) unstable; urgency=medium

  * debian/libraw10.symbols:
    - Update symbols to build against gcc-4.9 (Closes: #746875).
  * debian/tests/testbuild:
    - Provide a simple test to check whether the package is fucntional,
      as per DEP8 (autopkgtests).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 07 Jun 2014 18:43:23 +0200

libraw (0.16.0-3) unstable; urgency=medium

  [ Adam Conrad ]
  * debian/libraw10.symbols:
    - Update symbols for arm64 and ppc64el (Closes: #745883).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 May 2014 09:58:02 +0200

libraw (0.16.0-2) unstable; urgency=medium

  * debian/libraw10.symbol:
    - Handle 32-bit symbol differences (Closes: #740106).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Feb 2014 16:34:23 +0100

libraw (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Re-add myself as Uploader.
    - Bump Standards-Version to 3.9.5.
  * debian/copyright:
    - Update license information.
  * debian/libraw10.symbol:
    - Renamed from libraw9.symbols.amd64 to match new binary, refreshed
      with the new symbols (Closes: #738424).
 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 24 Feb 2014 18:53:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
-Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
+Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Uploaders: Matteo F. Vescovi <mfvescovi@gmail.com>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                dh-autoreconf,
                pkg-config,
                libjasper-dev,
                liblcms2-dev,
-               libjpeg8-dev | libjpeg-dev
-Standards-Version: 3.9.4
+               libjpeg-dev
+Standards-Version: 3.9.6
 Homepage: http://www.libraw.org/
+Vcs-Git: git://anonscm.debian.org/pkg-shotwell/libraw.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shotwell/libraw.git
+XS-Testsuite: autopkgtest
 
-Package: libraw9
+Package: libraw10
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -42,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libraw9 (= ${binary:Version}),
+         libraw10 (= ${binary:Version}),
          liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 		--enable-jpeg
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libraw9 (>= 0.15.1-1)'
+	dh_makeshlibs -V 'libraw10 (>= 0.16.0-1)'

## libraw 0.16.2

=== debian/changelog ===
libraw (0.16.2-1) unstable; urgency=high

  * New upstream release
    - Fix CVE-2015-3885
  * debian/control:
    - XS-Testsuite field dropped
    - Uploader e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 26 May 2015 09:06:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfvescovi@gmail.com>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                dh-autoreconf,
@@ -14,7 +14,6 @@
 Homepage: http://www.libraw.org/
 Vcs-Git: git://anonscm.debian.org/pkg-shotwell/libraw.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shotwell/libraw.git
-XS-Testsuite: autopkgtest
 
 Package: libraw10
 Architecture: any

## libraw 0.17.1

=== debian/changelog ===
libraw (0.17.1-1) unstable; urgency=high

  * New upstream release (Closes: #806809)
    - Fix CVE-2015-8366 and CVE-2015-8367

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 03 Dec 2015 21:19:12 +0100

libraw (0.17.0-1) unstable; urgency=medium

  * New upstream release
    - debian/: SONAME bump libraw10 => libraw15
    - debian/rules: bump dh_makeshlibs to libraw15
    - debian/libraw15.symbols: symbols refreshed
  * debian/copyright: file updated

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 16 Oct 2015 10:03:52 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-shotwell/libraw.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shotwell/libraw.git
 
-Package: libraw10
+Package: libraw15
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -43,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libraw10 (= ${binary:Version}),
+         libraw15 (= ${binary:Version}),
          liblcms2-dev
 Multi-Arch: same
 Description: raw image decoder library (development files)

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--bindir=/usr/lib/libraw \
		--enable-jpeg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libraw15 (>= 0.17.0-1)'

## libraw 0.17.2

=== debian/changelog ===
libraw (0.17.2-6+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * New patch for fixing CVE-2017-6886 and CVE-2017-6887:
    CVE-2017-6886_6887.patch

 -- Luciano Bello <luciano@debian.org>  Mon, 21 Aug 2017 13:03:44 -0400

libraw (0.17.2-6) unstable; urgency=medium

  * debian/patches/: patchset updated (again)
    - 0001-Fix_gcc6_narrowing_error.patch replaced with
      0001-Fix_gcc6_narrowing_conversion.patch since it
      was causing FTBFS on most little-endian architectures
      Thanks to Alex Tutubalin (upstream) for the quick fix.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 25 Aug 2016 22:29:57 +0200

libraw (0.17.2-5) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Fix_dcraw_narrowing_for_gcc6.patch dropped
      (wrong approach to fix the issue)
    - 0001-Fix_gcc6_narrowing_error.patch added (Closes: #835350)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Aug 2016 22:26:35 +0200

libraw (0.17.2-4) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #811744)
    - 0001-Fix_dcraw_narrowing_for_gcc6.patch refreshed
      Thanks to Alex Tutubalin (upstream dev) for the advice.

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Jul 2016 23:33:34 +0200

libraw (0.17.2-3) unstable; urgency=medium

  * debian/patches/: patchset initiated (Closes: #811744)
    - 0001-Fix_dcraw_narrowing_for_gcc6.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 30 Jun 2016 22:12:11 +0200

libraw (0.17.2-2) unstable; urgency=medium

  * debian/control: libjasper-dev b-dep dropped (Closes: #818204)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 26 Jun 2016 14:22:59 +0200

libraw (0.17.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Maintainer field updated.
    Sadly, the Shotwell Team has dissolved.
    Now the LibRaw is under PhotoTools Maintainers umbrella.
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage
  * debian/libraw15.symbols: symbols updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 25 May 2016 22:02:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: libraw
 Section: libs
 Priority: optional
-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                dh-autoreconf,
                pkg-config,
-               libjasper-dev,
                liblcms2-dev,
                libjpeg-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.libraw.org/
-Vcs-Git: git://anonscm.debian.org/pkg-shotwell/libraw.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shotwell/libraw.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/libraw.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/libraw.git
 
 Package: libraw15
 Architecture: any
